Subject: Re: Question about the revision walking API

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Jan 2015 10:30:32 -0800

Christian Couder <[email-masked]> writes:

> I am not sure what you describe above would work, but something like
> what is done in bisect.c should work, see check_ancestors() and
> bisect_next_all(). It might not be the most efficient solution though,
> so I am interested if you find something more efficient.

I do not think what bisect does is a correct solution for general
case; I didn't check too carefully when I applied your patch long
time ago, but I recall that you only clear flag bits from commits
that are still in the pending queue in that codepath.  That may be
sufficient if the subsequent traversal goes only outside the area
previous traversal walked, but the approach is inappropriate for
general cases, no?